<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>XsScanner Class Reference</title>
<link href="xsens.css" rel="stylesheet" type="text/css"/>
</head><body>
<img class="logo" src="xsenslogo.jpg" alt="Xsens Logo" />
	<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#related">Related Functions</a> &#124;
<a href="class_xs_scanner-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">XsScanner Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Provides static functionality for scanning for Xsens devices.  
 <a href="class_xs_scanner.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:a42f1eac216fdfa16fd001264d7763202"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="struct_xs_port_info_array.html">XsPortInfoArray</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_xs_scanner.html#a42f1eac216fdfa16fd001264d7763202">scanPorts</a> (<a class="el" href="group__enums.html#ga2822b258045f067902cabca1a2f15eec">XsBaudRate</a> baudrate=<a class="el" href="group__enums.html#gga2822b258045f067902cabca1a2f15eecaf1fdf735007a9d0123e529523b91dc5f">XBR_Invalid</a>, int singleScanTimeout=100, bool ignoreNonXsensDevices=true, bool detectRs485=false)</td></tr>
<tr class="memdesc:a42f1eac216fdfa16fd001264d7763202"><td class="mdescLeft">&#160;</td><td class="mdescRight">Scan all ports for Xsens devices.  <a href="#a42f1eac216fdfa16fd001264d7763202">More...</a><br /></td></tr>
<tr class="separator:a42f1eac216fdfa16fd001264d7763202"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1c32ec16b21be04215959c6a9c6cf910"><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_xs_scanner.html#a1c32ec16b21be04215959c6a9c6cf910">scanPort</a> (<a class="el" href="struct_xs_port_info.html">XsPortInfo</a> &amp;port, <a class="el" href="group__enums.html#ga2822b258045f067902cabca1a2f15eec">XsBaudRate</a> baudrate=<a class="el" href="group__enums.html#gga2822b258045f067902cabca1a2f15eecaf1fdf735007a9d0123e529523b91dc5f">XBR_Invalid</a>, int singleScanTimeout=100, bool detectRs485=false)</td></tr>
<tr class="memdesc:a1c32ec16b21be04215959c6a9c6cf910"><td class="mdescLeft">&#160;</td><td class="mdescRight">Scan a single port for Xsens devices.  <a href="#a1c32ec16b21be04215959c6a9c6cf910">More...</a><br /></td></tr>
<tr class="separator:a1c32ec16b21be04215959c6a9c6cf910"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaf286883e8cbb4aaf1595e2fb3255bb5"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="struct_xs_port_info.html">XsPortInfo</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_xs_scanner.html#aaf286883e8cbb4aaf1595e2fb3255bb5">scanPort</a> (const <a class="el" href="struct_xs_string.html">XsString</a> &amp;portName, <a class="el" href="group__enums.html#ga2822b258045f067902cabca1a2f15eec">XsBaudRate</a> baudrate=<a class="el" href="group__enums.html#gga2822b258045f067902cabca1a2f15eecaf1fdf735007a9d0123e529523b91dc5f">XBR_Invalid</a>, int singleScanTimeout=100, bool detectRs485=false)</td></tr>
<tr class="memdesc:aaf286883e8cbb4aaf1595e2fb3255bb5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Scan a single port for Xsens devices.  <a href="#aaf286883e8cbb4aaf1595e2fb3255bb5">More...</a><br /></td></tr>
<tr class="separator:aaf286883e8cbb4aaf1595e2fb3255bb5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a730eb7335187f2c9b600610e0a8e3721"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="struct_xs_port_info_array.html">XsPortInfoArray</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_xs_scanner.html#a730eb7335187f2c9b600610e0a8e3721">scanComPortList</a> (const <a class="el" href="struct_xs_string_array.html">XsStringArray</a> &amp;portList, const <a class="el" href="struct_xs_int_array.html">XsIntArray</a> &amp;portLinesOptionsList=<a class="el" href="struct_xs_int_array.html">XsIntArray</a>(), <a class="el" href="group__enums.html#ga2822b258045f067902cabca1a2f15eec">XsBaudRate</a> baudrate=<a class="el" href="group__enums.html#gga2822b258045f067902cabca1a2f15eecaf1fdf735007a9d0123e529523b91dc5f">XBR_Invalid</a>, int singleScanTimeout=100)</td></tr>
<tr class="memdesc:a730eb7335187f2c9b600610e0a8e3721"><td class="mdescLeft">&#160;</td><td class="mdescRight">Scan a list of Com ports for Xsens devices.  <a href="#a730eb7335187f2c9b600610e0a8e3721">More...</a><br /></td></tr>
<tr class="separator:a730eb7335187f2c9b600610e0a8e3721"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6eb552845f848ba8a71fcd3dbc6813e2"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="struct_xs_port_info_array.html">XsPortInfoArray</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_xs_scanner.html#a6eb552845f848ba8a71fcd3dbc6813e2">enumerateSerialPorts</a> (bool ignoreNonXsensDevices=true)</td></tr>
<tr class="memdesc:a6eb552845f848ba8a71fcd3dbc6813e2"><td class="mdescLeft">&#160;</td><td class="mdescRight">List all serial ports without scanning.  <a href="#a6eb552845f848ba8a71fcd3dbc6813e2">More...</a><br /></td></tr>
<tr class="separator:a6eb552845f848ba8a71fcd3dbc6813e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6948670d5b5064391630627e80c39d05"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="struct_xs_port_info_array.html">XsPortInfoArray</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_xs_scanner.html#a6948670d5b5064391630627e80c39d05">filterResponsiveDevices</a> (const <a class="el" href="struct_xs_port_info_array.html">XsPortInfoArray</a> &amp;ports, <a class="el" href="group__enums.html#ga2822b258045f067902cabca1a2f15eec">XsBaudRate</a> baudrate=<a class="el" href="group__enums.html#gga2822b258045f067902cabca1a2f15eecaf1fdf735007a9d0123e529523b91dc5f">XBR_Invalid</a>, int singleScanTimeout=100, bool detectRs485=false)</td></tr>
<tr class="memdesc:a6948670d5b5064391630627e80c39d05"><td class="mdescLeft">&#160;</td><td class="mdescRight">Scan the supplied ports for Xsens devices.  <a href="#a6948670d5b5064391630627e80c39d05">More...</a><br /></td></tr>
<tr class="separator:a6948670d5b5064391630627e80c39d05"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a989cc3b983183894b03992e9224b3fb6"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="struct_xs_port_info_array.html">XsPortInfoArray</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_xs_scanner.html#a989cc3b983183894b03992e9224b3fb6">enumerateUsbDevices</a> (void)</td></tr>
<tr class="memdesc:a989cc3b983183894b03992e9224b3fb6"><td class="mdescLeft">&#160;</td><td class="mdescRight">List all compatible USB ports without scanning.  <a href="#a989cc3b983183894b03992e9224b3fb6">More...</a><br /></td></tr>
<tr class="separator:a989cc3b983183894b03992e9224b3fb6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aedd515fd3df29de53efb6c50cfc84d02"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="struct_xs_usb_hub_info.html">XsUsbHubInfo</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_xs_scanner.html#aedd515fd3df29de53efb6c50cfc84d02">scanUsbHub</a> (const <a class="el" href="struct_xs_port_info.html">XsPortInfo</a> &amp;port)</td></tr>
<tr class="memdesc:aedd515fd3df29de53efb6c50cfc84d02"><td class="mdescLeft">&#160;</td><td class="mdescRight">Determine the USB hub that <em>port</em> is attached to.  <a href="#aedd515fd3df29de53efb6c50cfc84d02">More...</a><br /></td></tr>
<tr class="separator:aedd515fd3df29de53efb6c50cfc84d02"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a628e5fbc22409ee5041eea54b3b5e56c"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="struct_xs_port_info_array.html">XsPortInfoArray</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_xs_scanner.html#a628e5fbc22409ee5041eea54b3b5e56c">enumerateNetworkDevices</a> (void)</td></tr>
<tr class="memdesc:a628e5fbc22409ee5041eea54b3b5e56c"><td class="mdescLeft">&#160;</td><td class="mdescRight">List all compatible network devices without scanning.  <a href="#a628e5fbc22409ee5041eea54b3b5e56c">More...</a><br /></td></tr>
<tr class="separator:a628e5fbc22409ee5041eea54b3b5e56c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a42c56f676e47c945e55365ca7c6cd4c5"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_xs_scanner.html#a42c56f676e47c945e55365ca7c6cd4c5">abortScan</a> (void)</td></tr>
<tr class="memdesc:a42c56f676e47c945e55365ca7c6cd4c5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Abort the currently running port scan(s)  <a href="#a42c56f676e47c945e55365ca7c6cd4c5">More...</a><br /></td></tr>
<tr class="separator:a42c56f676e47c945e55365ca7c6cd4c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="related"></a>
Related Functions</h2></td></tr>
<tr><td class="ititle" colspan="2"><p>(Note that these are not member functions.) </p>
</td></tr>
<tr class="memitem:a4dd6b1e82e3641cf1835d0e7d947e621"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_xs_scanner.html#a4dd6b1e82e3641cf1835d0e7d947e621">XsScanner_scanPorts</a> (<a class="el" href="struct_xs_port_info_array.html">XsPortInfoArray</a> *ports, <a class="el" href="group__enums.html#ga2822b258045f067902cabca1a2f15eec">XsBaudRate</a> baudrate, int singleScanTimeout, int ignoreNonXsensDevices, int detectRs485)</td></tr>
<tr class="memdesc:a4dd6b1e82e3641cf1835d0e7d947e621"><td class="mdescLeft">&#160;</td><td class="mdescRight">Scan all ports for Xsens devices.  <a href="#a4dd6b1e82e3641cf1835d0e7d947e621">More...</a><br /></td></tr>
<tr class="separator:a4dd6b1e82e3641cf1835d0e7d947e621"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeb78d4456847c670c9106369f2546ba1"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_xs_scanner.html#aeb78d4456847c670c9106369f2546ba1">XsScanner_scanPort</a> (<a class="el" href="struct_xs_port_info.html">XsPortInfo</a> *port, <a class="el" href="group__enums.html#ga2822b258045f067902cabca1a2f15eec">XsBaudRate</a> baudrate, int singleScanTimeout, int detectRs485)</td></tr>
<tr class="memdesc:aeb78d4456847c670c9106369f2546ba1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Scan a single port for Xsens devices.  <a href="#aeb78d4456847c670c9106369f2546ba1">More...</a><br /></td></tr>
<tr class="separator:aeb78d4456847c670c9106369f2546ba1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afe94cb0a7324f0c7c663e0db54be6c2a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_xs_scanner.html#afe94cb0a7324f0c7c663e0db54be6c2a">XsScanner_enumerateSerialPorts_int</a> (<a class="el" href="struct_xs_port_info_array.html">XsPortInfoArray</a> *ports, int ignoreNonXsensDevices)</td></tr>
<tr class="memdesc:afe94cb0a7324f0c7c663e0db54be6c2a"><td class="mdescLeft">&#160;</td><td class="mdescRight">List all serial ports without scanning.  <a href="#afe94cb0a7324f0c7c663e0db54be6c2a">More...</a><br /></td></tr>
<tr class="separator:afe94cb0a7324f0c7c663e0db54be6c2a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad77c2781aedcb4c78b7f5bd823467816"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_xs_scanner.html#ad77c2781aedcb4c78b7f5bd823467816">XsScanner_filterResponsiveDevices</a> (<a class="el" href="struct_xs_port_info_array.html">XsPortInfoArray</a> *ports, <a class="el" href="group__enums.html#ga2822b258045f067902cabca1a2f15eec">XsBaudRate</a> baudrate, int singleScanTimeout, int detectRs485)</td></tr>
<tr class="memdesc:ad77c2781aedcb4c78b7f5bd823467816"><td class="mdescLeft">&#160;</td><td class="mdescRight">Scan the supplied ports for Xsens devices.  <a href="#ad77c2781aedcb4c78b7f5bd823467816">More...</a><br /></td></tr>
<tr class="separator:ad77c2781aedcb4c78b7f5bd823467816"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad2f5d97f2a60b8467634c4ee9c0e7612"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_xs_scanner.html#ad2f5d97f2a60b8467634c4ee9c0e7612">XsScanner_enumerateUsbDevices</a> (<a class="el" href="struct_xs_port_info_array.html">XsPortInfoArray</a> *ports)</td></tr>
<tr class="memdesc:ad2f5d97f2a60b8467634c4ee9c0e7612"><td class="mdescLeft">&#160;</td><td class="mdescRight">List all compatible USB ports without scanning.  <a href="#ad2f5d97f2a60b8467634c4ee9c0e7612">More...</a><br /></td></tr>
<tr class="separator:ad2f5d97f2a60b8467634c4ee9c0e7612"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a31a43a0f0e0f286257a8b9e335389cd5"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_xs_scanner.html#a31a43a0f0e0f286257a8b9e335389cd5">XsScanner_scanUsbHub</a> (<a class="el" href="struct_xs_usb_hub_info.html">XsUsbHubInfo</a> *hub, const <a class="el" href="struct_xs_port_info.html">XsPortInfo</a> *port)</td></tr>
<tr class="memdesc:a31a43a0f0e0f286257a8b9e335389cd5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Determine the USB hub that <em>port</em> is attached to.  <a href="#a31a43a0f0e0f286257a8b9e335389cd5">More...</a><br /></td></tr>
<tr class="separator:a31a43a0f0e0f286257a8b9e335389cd5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a40dabf984464d6f68e5f64f540f91cce"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a40dabf984464d6f68e5f64f540f91cce"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_xs_scanner.html#a40dabf984464d6f68e5f64f540f91cce">XsScanner_abortScan</a> (void)</td></tr>
<tr class="memdesc:a40dabf984464d6f68e5f64f540f91cce"><td class="mdescLeft">&#160;</td><td class="mdescRight">Abort the currently running port scan(s) <br /></td></tr>
<tr class="separator:a40dabf984464d6f68e5f64f540f91cce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa941390bf3beba08f8d82575ad5f0428"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_xs_scanner.html#aa941390bf3beba08f8d82575ad5f0428">XsScanner_enumerateNetworkDevices</a> (<a class="el" href="struct_xs_port_info_array.html">XsPortInfoArray</a> *ports)</td></tr>
<tr class="memdesc:aa941390bf3beba08f8d82575ad5f0428"><td class="mdescLeft">&#160;</td><td class="mdescRight">List all compatible network devices without scanning.  <a href="#aa941390bf3beba08f8d82575ad5f0428">More...</a><br /></td></tr>
<tr class="separator:aa941390bf3beba08f8d82575ad5f0428"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Provides static functionality for scanning for Xsens devices. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a42c56f676e47c945e55365ca7c6cd4c5"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void XsScanner::abortScan </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Abort the currently running port scan(s) </p>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="class_xs_scanner.html#a40dabf984464d6f68e5f64f540f91cce" title="Abort the currently running port scan(s) ">XsScanner_abortScan</a> </dd></dl>

</div>
</div>
<a class="anchor" id="a628e5fbc22409ee5041eea54b3b5e56c"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="struct_xs_port_info_array.html">XsPortInfoArray</a> XsScanner::enumerateNetworkDevices </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>List all compatible network devices without scanning. </p>
<dl class="section return"><dt>Returns</dt><dd>The list of detected network services. </dd></dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="class_xs_scanner.html#aa941390bf3beba08f8d82575ad5f0428" title="List all compatible network devices without scanning. ">XsScanner_enumerateNetworkDevices</a> </dd></dl>

</div>
</div>
<a class="anchor" id="a6eb552845f848ba8a71fcd3dbc6813e2"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="struct_xs_port_info_array.html">XsPortInfoArray</a> XsScanner::enumerateSerialPorts </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>ignoreNonXsensDevices</em> = <code>true</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>List all serial ports without scanning. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">ignoreNonXsensDevices</td><td>When true (the default), only Xsens ports are returned. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The list of detected ports. </dd></dl>

</div>
</div>
<a class="anchor" id="a989cc3b983183894b03992e9224b3fb6"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="struct_xs_port_info_array.html">XsPortInfoArray</a> XsScanner::enumerateUsbDevices </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>List all compatible USB ports without scanning. </p>
<dl class="section return"><dt>Returns</dt><dd>The list of detected usb devices. </dd></dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="class_xs_scanner.html#ad2f5d97f2a60b8467634c4ee9c0e7612" title="List all compatible USB ports without scanning. ">XsScanner_enumerateUsbDevices</a> </dd></dl>

</div>
</div>
<a class="anchor" id="a6948670d5b5064391630627e80c39d05"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="struct_xs_port_info_array.html">XsPortInfoArray</a> XsScanner::filterResponsiveDevices </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="struct_xs_port_info_array.html">XsPortInfoArray</a> &amp;&#160;</td>
          <td class="paramname"><em>ports</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__enums.html#ga2822b258045f067902cabca1a2f15eec">XsBaudRate</a>&#160;</td>
          <td class="paramname"><em>baudrate</em> = <code><a class="el" href="group__enums.html#gga2822b258045f067902cabca1a2f15eecaf1fdf735007a9d0123e529523b91dc5f">XBR_Invalid</a></code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>singleScanTimeout</em> = <code>100</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>detectRs485</em> = <code>false</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Scan the supplied ports for Xsens devices. </p>
<p>This function does not modify the input list as opposed to XsScanner_filterResponsiveDevices </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ports</td><td>The list of ports to scan. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">baudrate</td><td>The baudrate to scan at. When set to XBR_Invalid, all known baudrates are scanned. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">singleScanTimeout</td><td>The timeout of a scan of a single port at a single baud rate in ms. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">detectRs485</td><td>Enable more extended scan to detect rs485 devices </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The list of ports that have responsive devices on them. </dd></dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="class_xs_scanner.html#ad77c2781aedcb4c78b7f5bd823467816" title="Scan the supplied ports for Xsens devices. ">XsScanner_filterResponsiveDevices</a> </dd></dl>

</div>
</div>
<a class="anchor" id="a730eb7335187f2c9b600610e0a8e3721"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="struct_xs_port_info_array.html">XsPortInfoArray</a> XsScanner::scanComPortList </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="struct_xs_string_array.html">XsStringArray</a> &amp;&#160;</td>
          <td class="paramname"><em>portList</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="struct_xs_int_array.html">XsIntArray</a> &amp;&#160;</td>
          <td class="paramname"><em>portLinesOptionsList</em> = <code><a class="el" href="struct_xs_int_array.html">XsIntArray</a>()</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__enums.html#ga2822b258045f067902cabca1a2f15eec">XsBaudRate</a>&#160;</td>
          <td class="paramname"><em>baudrate</em> = <code><a class="el" href="group__enums.html#gga2822b258045f067902cabca1a2f15eecaf1fdf735007a9d0123e529523b91dc5f">XBR_Invalid</a></code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>singleScanTimeout</em> = <code>100</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Scan a list of Com ports for Xsens devices. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">portList</td><td>The list of port names to scan. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">portLinesOptionsList</td><td>The list of hardware flow control options for the ports to scan. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">baudrate</td><td>The baudrate to scan at. When set to XBR_Invalid, all known baudrates are scanned. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">singleScanTimeout</td><td>The timeout of a scan at a single baud rate in ms. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>An array of <a class="el" href="struct_xs_port_info.html" title="Contains a descriptor for opening a communication port to an Xsens device. ">XsPortInfo</a> structures with the results of the scan. </dd></dl>
<dl class="section see"><dt>See also</dt><dd>XsScanner_scanCOMPortList </dd></dl>

</div>
</div>
<a class="anchor" id="a1c32ec16b21be04215959c6a9c6cf910"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static bool XsScanner::scanPort </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_xs_port_info.html">XsPortInfo</a> &amp;&#160;</td>
          <td class="paramname"><em>port</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__enums.html#ga2822b258045f067902cabca1a2f15eec">XsBaudRate</a>&#160;</td>
          <td class="paramname"><em>baudrate</em> = <code><a class="el" href="group__enums.html#gga2822b258045f067902cabca1a2f15eecaf1fdf735007a9d0123e529523b91dc5f">XBR_Invalid</a></code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>singleScanTimeout</em> = <code>100</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>detectRs485</em> = <code>false</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Scan a single port for Xsens devices. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in,out]</td><td class="paramname">port</td><td>The name of the port to scan should be in this parameter, the other contents will be filled by the function. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">baudrate</td><td>The baudrate to scan at. When set to XBR_Invalid, all known baudrates are scanned. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">singleScanTimeout</td><td>The timeout of a scan at a single baud rate in ms. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">detectRs485</td><td>Enable more extended scan to detect rs485 devices </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true if a device was found, false otherwise </dd></dl>

</div>
</div>
<a class="anchor" id="aaf286883e8cbb4aaf1595e2fb3255bb5"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="struct_xs_port_info.html">XsPortInfo</a> XsScanner::scanPort </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="struct_xs_string.html">XsString</a> &amp;&#160;</td>
          <td class="paramname"><em>portName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__enums.html#ga2822b258045f067902cabca1a2f15eec">XsBaudRate</a>&#160;</td>
          <td class="paramname"><em>baudrate</em> = <code><a class="el" href="group__enums.html#gga2822b258045f067902cabca1a2f15eecaf1fdf735007a9d0123e529523b91dc5f">XBR_Invalid</a></code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>singleScanTimeout</em> = <code>100</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>detectRs485</em> = <code>false</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Scan a single port for Xsens devices. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">portName</td><td>The name of the port to scan. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">baudrate</td><td>The baudrate to scan at. When set to XBR_Invalid, all known baudrates are scanned. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">singleScanTimeout</td><td>The timeout of a scan at a single baud rate in ms. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">detectRs485</td><td>Enable more extended scan to detect rs485 devices </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>An <a class="el" href="struct_xs_port_info.html" title="Contains a descriptor for opening a communication port to an Xsens device. ">XsPortInfo</a> structure with the results of the scan. </dd></dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="class_xs_scanner.html#aeb78d4456847c670c9106369f2546ba1" title="Scan a single port for Xsens devices. ">XsScanner_scanPort</a> </dd></dl>

</div>
</div>
<a class="anchor" id="a42f1eac216fdfa16fd001264d7763202"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="struct_xs_port_info_array.html">XsPortInfoArray</a> XsScanner::scanPorts </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__enums.html#ga2822b258045f067902cabca1a2f15eec">XsBaudRate</a>&#160;</td>
          <td class="paramname"><em>baudrate</em> = <code><a class="el" href="group__enums.html#gga2822b258045f067902cabca1a2f15eecaf1fdf735007a9d0123e529523b91dc5f">XBR_Invalid</a></code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>singleScanTimeout</em> = <code>100</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>ignoreNonXsensDevices</em> = <code>true</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>detectRs485</em> = <code>false</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Scan all ports for Xsens devices. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">baudrate</td><td>The baudrate to scan at. When set to XBR_Invalid, all known baudrates are scanned. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">singleScanTimeout</td><td>The timeout of a scan of a single port at a single baud rate in ms. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">ignoreNonXsensDevices</td><td>When true (the default), only Xsens devices are returned. Otherwise other devices that comply with the Xsens message protocol will also be returned. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">detectRs485</td><td>Enable more extended scan to detect rs485 devices </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The list of detected ports. </dd></dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="class_xs_scanner.html#a4dd6b1e82e3641cf1835d0e7d947e621" title="Scan all ports for Xsens devices. ">XsScanner_scanPorts</a> </dd></dl>

</div>
</div>
<a class="anchor" id="aedd515fd3df29de53efb6c50cfc84d02"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="struct_xs_usb_hub_info.html">XsUsbHubInfo</a> XsScanner::scanUsbHub </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="struct_xs_port_info.html">XsPortInfo</a> &amp;&#160;</td>
          <td class="paramname"><em>port</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Determine the USB hub that <em>port</em> is attached to. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">port</td><td>The port for which to determine the USB hub. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The identifier of the hub that <em>port</em> is attached to. </dd></dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="class_xs_scanner.html#a31a43a0f0e0f286257a8b9e335389cd5" title="Determine the USB hub that port is attached to. ">XsScanner_scanUsbHub</a> </dd></dl>

</div>
</div>
<h2 class="groupheader">Friends And Related Function Documentation</h2>
<a class="anchor" id="aa941390bf3beba08f8d82575ad5f0428"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void XsScanner_enumerateNetworkDevices </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_xs_port_info_array.html">XsPortInfoArray</a> *&#160;</td>
          <td class="paramname"><em>ports</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">related</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>List all compatible network devices without scanning. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[out]</td><td class="paramname">ports</td><td>The list of detected ports. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="afe94cb0a7324f0c7c663e0db54be6c2a"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void XsScanner_enumerateSerialPorts_int </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_xs_port_info_array.html">XsPortInfoArray</a> *&#160;</td>
          <td class="paramname"><em>ports</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>ignoreNonXsensDevices</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">related</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>List all serial ports without scanning. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[out]</td><td class="paramname">ports</td><td>The list of detected ports. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">ignoreNonXsensDevices</td><td>When non-zero (the default), only Xsens ports are returned. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ad2f5d97f2a60b8467634c4ee9c0e7612"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void XsScanner_enumerateUsbDevices </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_xs_port_info_array.html">XsPortInfoArray</a> *&#160;</td>
          <td class="paramname"><em>ports</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">related</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>List all compatible USB ports without scanning. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[out]</td><td class="paramname">ports</td><td>The list of detected ports. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ad77c2781aedcb4c78b7f5bd823467816"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void XsScanner_filterResponsiveDevices </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_xs_port_info_array.html">XsPortInfoArray</a> *&#160;</td>
          <td class="paramname"><em>ports</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__enums.html#ga2822b258045f067902cabca1a2f15eec">XsBaudRate</a>&#160;</td>
          <td class="paramname"><em>baudrate</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>singleScanTimeout</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>detectRs485</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">related</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Scan the supplied ports for Xsens devices. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in,out]</td><td class="paramname">ports</td><td>The list of ports to scan. Unresponsive devices will be removed from the list. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">baudrate</td><td>The baudrate to scan at. When set to XBR_Invalid, all known baudrates are scanned. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">singleScanTimeout</td><td>The timeout of a scan of a single port at a single baud rate in ms. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">detectRs485</td><td>Enable more extended scan to detect rs485 devices </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="aeb78d4456847c670c9106369f2546ba1"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int XsScanner_scanPort </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_xs_port_info.html">XsPortInfo</a> *&#160;</td>
          <td class="paramname"><em>port</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__enums.html#ga2822b258045f067902cabca1a2f15eec">XsBaudRate</a>&#160;</td>
          <td class="paramname"><em>baudrate</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>singleScanTimeout</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>detectRs485</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">related</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Scan a single port for Xsens devices. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in,out]</td><td class="paramname">port</td><td>The name of the port to scan should be in this parameter, the other contents will be filled by the function. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">baudrate</td><td>The baudrate to scan at. When set to XBR_Invalid, all known baudrates are scanned. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">singleScanTimeout</td><td>The timeout of a scan at a single baud rate in ms. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">detectRs485</td><td>Enable more extended scan to detect rs485 devices </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true if a device was found, false otherwise </dd></dl>

</div>
</div>
<a class="anchor" id="a4dd6b1e82e3641cf1835d0e7d947e621"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void XsScanner_scanPorts </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_xs_port_info_array.html">XsPortInfoArray</a> *&#160;</td>
          <td class="paramname"><em>ports</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__enums.html#ga2822b258045f067902cabca1a2f15eec">XsBaudRate</a>&#160;</td>
          <td class="paramname"><em>baudrate</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>singleScanTimeout</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>ignoreNonXsensDevices</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>detectRs485</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">related</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Scan all ports for Xsens devices. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[out]</td><td class="paramname">ports</td><td>The list of detected ports. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">baudrate</td><td>The baudrate to scan at. When set to XBR_Invalid, all known baudrates are scanned. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">singleScanTimeout</td><td>The timeout of a scan of a single port at a single baud rate in ms. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">ignoreNonXsensDevices</td><td>When non-zero (the default), only Xsens devices are returned. Otherwise other devices that comply with the Xsens message protocol will also be returned. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">detectRs485</td><td>Enable more extended scan to detect rs485 devices </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a31a43a0f0e0f286257a8b9e335389cd5"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void XsScanner_scanUsbHub </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_xs_usb_hub_info.html">XsUsbHubInfo</a> *&#160;</td>
          <td class="paramname"><em>hub</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="struct_xs_port_info.html">XsPortInfo</a> *&#160;</td>
          <td class="paramname"><em>port</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">related</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Determine the USB hub that <em>port</em> is attached to. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[out]</td><td class="paramname">hub</td><td>The identifier of the hub that <em>port</em> is attached to. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">port</td><td>The port for which to determine the USB hub. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->

<div class="tabs">&nbsp;</div>
<hr size="1" />
<address style="text-align: right;">
<small>Generated on Thu Jun 29 2017 for Xsens by <a href="http://www.doxygen.org/index.html">Doxygen</a> 1.8.11</small>
</address>
</body>
</html>
